export interface GetGPUTier {
    glContext?: WebGLRenderingContext | WebGL2RenderingContext;
    failIfMajorPerformanceCaveat?: boolean;
    mobileTiers?: number[];
    desktopTiers?: number[];
    override?: {
        renderer?: string;
        isIpad?: boolean;
        isMobile?: boolean;
        screenSize?: {
            width: number;
            height: number;
        };
        loadBenchmarks?: (file: string) => Promise<ModelEntry[] | undefined>;
    };
    benchmarksURL?: string;
}
export declare type TierType = 'IS_SRR' | 'WEBGL_UNSUPPORTED' | 'BLOCKLISTED' | 'FALLBACK' | 'BENCHMARK';
export declare type TierResult = {
    tier: number;
    type: TierType;
    isMobile?: boolean;
    fps?: number;
    gpu?: string;
    device?: string;
};
export declare type ModelEntryScreen = [number, number, number, string | undefined];
export declare type ModelEntry = [string, string, 0 | 1, ModelEntryScreen[]];
export declare const getGPUTier: ({ mobileTiers, desktopTiers, override: { renderer, isIpad, isMobile, screenSize, loadBenchmarks, }, glContext, failIfMajorPerformanceCaveat, benchmarksURL, }?: GetGPUTier) => Promise<TierResult>;
